| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
LicenseSpring::VersionBase Class Reference

Base class for handling app versions. Contains common functionality for version classes hierarchy. More...

`#include <LicenseSpring/Version.h>`

Inheritance diagram for LicenseSpring::VersionBase:

## Public Member Functions
| VersionBase ()
| VersionBase (int major, int minor, char delimeter='.')
virtual | ~VersionBase ()=default
int | majorVersion () const
int | minorVersion () const
char | delimeter () const
void | setDelimeter (char delimeter)
size_t | size () const
virtual size_t | length () const
virtual std::string | toString () const
| operator std::string () const
bool | operator== (const VersionBase &version) const
bool | operator!= (const VersionBase &version) const
bool | operator< (const VersionBase &version) const
bool | operator> (const VersionBase &version) const
bool | operator<= (const VersionBase &version) const
bool | operator>= (const VersionBase &version) const
virtual int | compare (const VersionBase &version) const

## Static Public Member Functions
static int | compare (const VersionBase &left, const VersionBase &right)

## Static Public Attributes
static constexpr int | INVALID_VERSION_NUMBER = -1

## Protected Attributes
int | m_major
int | m_minor
char | m_delimeter

## Detailed Description

Base class for handling app versions. Contains common functionality for version classes hierarchy.

Definition at line 19 of file Version.h.

## Constructor & Destructor Documentation

## ◆ VersionBase() [1/2]

LicenseSpring::VersionBase::VersionBase | ( |  | ) |

## ◆ VersionBase() [2/2]

LicenseSpring::VersionBase::VersionBase | ( | int | major,
|  | int | minor,
|  | char | delimeter = `'.'`
| ) |  |

## ◆ ~VersionBase()

virtual LicenseSpring::VersionBase::~VersionBase | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ majorVersion()

int LicenseSpring::VersionBase::majorVersion | ( |  | ) | const
| inline

Definition at line 28 of file Version.h.

## ◆ minorVersion()

int LicenseSpring::VersionBase::minorVersion | ( |  | ) | const
| inline

Definition at line 29 of file Version.h.

## ◆ delimeter()

char LicenseSpring::VersionBase::delimeter | ( |  | ) | const
| inline

Definition at line 31 of file Version.h.

## ◆ setDelimeter()

void LicenseSpring::VersionBase::setDelimeter | ( | char | delimeter | ) |
| inline

Definition at line 32 of file Version.h.

## ◆ size()

size_t LicenseSpring::VersionBase::size | ( |  | ) | const

## ◆ length()

virtual size_t LicenseSpring::VersionBase::length | ( |  | ) | const
| virtual

Reimplemented in LicenseSpring::Version, and LicenseSpring::MSVersion.

## ◆ toString()

virtual std::string LicenseSpring::VersionBase::toString | ( |  | ) | const
| virtual

Reimplemented in LicenseSpring::Version, LicenseSpring::MSVersion, and LicenseSpring::VersionEx.

## ◆ operator std::string()

LicenseSpring::VersionBase::operator std::string | ( |  | ) | const

## ◆ operator==()

bool LicenseSpring::VersionBase::operator== | ( | const VersionBase & | version | ) | const

## ◆ operator!=()

bool LicenseSpring::VersionBase::operator!= | ( | const VersionBase & | version | ) | const

## ◆ operator<()

bool LicenseSpring::VersionBase::operator< | ( | const VersionBase & | version | ) | const

## ◆ operator>()

bool LicenseSpring::VersionBase::operator> | ( | const VersionBase & | version | ) | const

## ◆ operator<=()

bool LicenseSpring::VersionBase::operator<= | ( | const VersionBase & | version | ) | const

## ◆ operator>=()

bool LicenseSpring::VersionBase::operator>= | ( | const VersionBase & | version | ) | const

## ◆ compare() [1/2]

virtual int LicenseSpring::VersionBase::compare | ( | const VersionBase & | version | ) | const
| virtual

Reimplemented in LicenseSpring::Version, LicenseSpring::MSVersion, and LicenseSpring::VersionEx.

## ◆ compare() [2/2]

static int LicenseSpring::VersionBase::compare | ( | const VersionBase & | left,
|  | const VersionBase & | right
| ) |  |
| static

## Member Data Documentation

## ◆ INVALID_VERSION_NUMBER

constexpr int LicenseSpring::VersionBase::INVALID_VERSION_NUMBER = -1
| static constexpr

Definition at line 22 of file Version.h.

## ◆ m_major

int LicenseSpring::VersionBase::m_major
| protected

Definition at line 53 of file Version.h.

## ◆ m_minor

int LicenseSpring::VersionBase::m_minor
| protected

Definition at line 54 of file Version.h.

## ◆ m_delimeter

char LicenseSpring::VersionBase::m_delimeter
| protected

Definition at line 55 of file Version.h.

The documentation for this class was generated from the following file:

- LicenseSpring/Version.h